List service providers
GET
/api/app/directory/service-providers
const url = 'https://test.unipay.co.zw/api/app/directory/service-providers?PaymentType=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://test.unipay.co.zw/api/app/directory/service-providers?PaymentType=1' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Filter
string
Country
string
Town
string
Currency
string
PaymentType
integer format: int32
Sorting
string
SkipCount
integer format: int32
MaxResultCount
integer format: int32
Responses
Section titled “Responses”OK
Media typeapplication/json
object
items
Array<object>
object
id
string format: uuid
name
string
number
string
shortCode
string
address1
string
address2
string
country
string
town
string
phoneNumber
string
email
string
tin
string
companyNumber
string
capabilities
Array<object>
object
paymentType
integer format: int32
currency
string
defaultCurrency
string
presentationCurrencies
Array<string>
acceptedCurrencies
Array<string>
acceptedCurrenciesDeclared
boolean
currencyPolicy
integer format: int32
allocationRateToleranceDays
integer format: int32
totalCount
integer format: int64
Example
{ "items": [ { "capabilities": [ { "paymentType": 1 } ], "currencyPolicy": 1 } ]}Bad Request
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}Unauthorized: token missing, invalid or expired. Empty body.
Forbidden: the token lacks the scope this call needs. Empty body. (Refusals specific to your organisation use the error object.)
Not found: wrong path. Empty body.
Internal Server Error
Media typeapplication/json
object
error
object
code
string
message
string
details
string
data
object
key
additional properties
validationErrors
Array<object>
object
message
string
members
Array<string>
Examplegenerated
{ "error": { "code": "example", "message": "example", "details": "example", "data": { "additionalProperty": "example" }, "validationErrors": [ { "message": "example", "members": [ "example" ] } ] }}UniPay API v1 · build e1eb5c49 · Powered by Axis Solutions